AbstractFSManifestIterable
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.osgi.repo
Class AbstractFSManifestIterable

    java.lang.Object
      org.apache.ivy.osgi.repo.AbstractFSManifestIterable

Direct Known Subclasses:
  FSManifestIterable, RepositoryManifestIterable

    public abstract class AbstractFSManifestIterable

extends java.lang.Object

Constructor Summary
`AbstractFSManifestIterable(java.lang.Object root)`

Method Summary
`protected abstract java.net.URI` | `buildBundleURI(java.lang.Object location)`
`protected abstract java.io.InputStream` | `getInputStream(java.lang.Object f)`
`java.util.Iterator` | `iterator()`
`protected abstract java.util.List` | `listBundleFiles(java.lang.Object dir)`
`protected abstract java.util.List` | `listDirs(java.lang.Object dir)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractFSManifestIterable

    public AbstractFSManifestIterable(java.lang.Object root)

Method Detail

### iterator

    public java.util.Iterator iterator()

### listBundleFiles

    protected abstract java.util.List listBundleFiles(java.lang.Object dir)
                                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### listDirs

    protected abstract java.util.List listDirs(java.lang.Object dir)
                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### getInputStream

    protected abstract java.io.InputStream getInputStream(java.lang.Object f)
                                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### buildBundleURI

    protected abstract java.net.URI buildBundleURI(java.lang.Object location)
                                            throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD